package Class::DBI::Plugin::SerializeColumns::Storable;

use strict;
use warnings;
use Storable;
use MIME::Base64;
use vars qw($VERSION);
$VERSION='0.01';

sub freeze {
	my ($self, $data) = @_;
	return MIME::Base64::encode_base64(Storable::freeze($data));
}

sub thaw {
	my ($self, $string) = @_;
	return Storable::thaw(MIME::Base64::decode_base64 $string);
}

1;


